Package io.strimzi.systemtest.kafkaclients.internalClients

## Enum ClientType

- java.lang.Object
- - java.lang.Enum<ClientType>
  - - io.strimzi.systemtest.kafkaclients.internalClients.ClientType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ClientType>`

      public enum ClientType
      extends Enum<ClientType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLI_KAFKA_VERIFIABLE_CONSUMER` |
    `CLI_KAFKA_VERIFIABLE_PRODUCER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getCommand​(ClientType client)` | Get bind kafka client type to kafka client executable
    `static ClientType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ClientType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLI_KAFKA_VERIFIABLE_PRODUCER

          public static final ClientType CLI_KAFKA_VERIFIABLE_PRODUCER

    - #### CLI_KAFKA_VERIFIABLE_CONSUMER

          public static final ClientType CLI_KAFKA_VERIFIABLE_CONSUMER

  - ### Method Detail

    - #### values

          public static ClientType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientType c : ClientType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCommand

          public static String getCommand​(ClientType client)

      Get bind kafka client type to kafka client executable
      Parameters:
        `client` - kafka client type
      Returns:
        webClient executable